# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.52.9+1.930.58.19 -> 1.930.52.10
#	arch/ia64/kernel/gate.S	1.6.1.3 -> 1.9    
#	arch/ia64/kernel/acpi.c	1.6.3.1 -> 1.15   
#	arch/ia64/kernel/signal.c	1.7.1.4 -> 1.12   
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:38 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:38 2003
@@ -755,4 +755,25 @@
 	return gsi_to_vector(irq);
 }
 
+int
+acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
+{
+	u32 irq_base;
+	char *iosapic_address;
+
+	if (has_8259 && gsi < 16)
+		return isa_irq_to_vector(gsi);
+
+	if (!iosapic_register_intr)
+		return 0;
+
+	if (!acpi_find_iosapic(gsi, &irq_base, &iosapic_address))
+		return iosapic_register_intr(gsi,
+				polarity == ACPI_ACTIVE_HIGH,
+				mode == ACPI_EDGE_SENSITIVE,
+				irq_base, iosapic_address);
+
+	return 0;
+}
+
 #endif /* CONFIG_ACPI_BOOT */
